Bug 832759 - losing mouse left click
losing mouse left click
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-06-17 04:16 EDT by Donald Cohen
Modified: 2012-11-14 10:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-14 10:18:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Donald Cohen 2012-06-17 04:16:37 EDT
Description of problem:
My mouse (external usb) left click stops working after a while - no idea what causes it, hoping you can hope me figure it out
It's probably not a hardware problem cause if I do ctl-alt-bs (restart x windows?) then it works again.  (Unfortunately, I've lost all my windows too.)
Is there some way to make some other gesture also work as left click?
I wonder whether that would stop working at the same time.

Version-Release number of selected component (if applicable):
I don't really know what component to blame.  I Hope you can help me on that too.

How reproducible:
use the computer for a while

Unplugging and replugging the mouse doesn't help.

I use the external mouse cause the touchpad left click stopped working.
Maybe this has something to do with it?  But when I restart X the touchpad
left click still doesn't work and the external mouse left click does.
Comment 1 Donald Cohen 2012-06-19 05:07:14 EDT
New evidence - I thought I'd try to map some other key to the left mouse button.
 xte 'mouseclick 1'
did not work when my mouse was not working but then I restarted X and it did.
So I now think something is broken in X.
Not long ago I had file system check problems on boot and had to do fsck with a bunch of y's - maybe that has something to do with it.  How can I find out which files were repaired?
Comment 2 Dave Jones 2012-10-23 11:33:01 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 3 Justin M. Forbes 2012-11-14 10:18:06 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.